Bug 25177 - pg_dumpall not supported flag -u
Summary: pg_dumpall not supported flag -u
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-29 10:21 UTC by Need Real Name
Modified: 2007-03-27 03:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 16:37:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-29 10:21:56 UTC
In man of pg_dumpall reading:
-u     Use password authentication. Prompts for username and password.

But pg_dumpall is shell script.
It is not use flags in command line.

I have passwod for connect to psql.
But see :
'
Connection to database 'template1' failed.
fe_sendauth: no password supplied

Connection to database 'template1' failed.
fe_sendauth: no password supplied

Connection to database 'template1' failed.
fe_sendauth: no password supplied
'

Ofcourse, in line 25,41,50,57 call psql without flag -u
In line 57 script not received result of query and cannot
pg_dump anything in line 68.

In line 68 call pg_dump with argumets from command line,
but in another strings not.

postgresql-6.5.2-1

Comment 1 Trond Eivind Glomsrxd 2001-01-31 01:33:42 UTC
It's still like this in postgresql 7... will look into it.

Comment 2 Trond Eivind Glomsrxd 2001-03-22 22:34:41 UTC
The documentation is fixed (removed the option) in postgresql-7.0.3-8, coming
soon to a Rawhide near you


Note You need to log in before you can comment on or make changes to this bug.